> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.a1.uk.astutepayroll.in/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.a1.uk.astutepayroll.in/_mcp/server.

# Get Holiday Group by UUID

GET {{baseUrl}}/holiday-groups/{uuid}

Retrieve a single holiday group by UUID, including its associated holidays and dates.

Reference: https://docs.a1.uk.astutepayroll.in/api-reference/holiday-group/get-holiday-group-by-uuid

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `uuid` (string, required) — UUID of the holiday group

### Query parameters

- `include` (string, optional) — Comma-separated list of relations to include (e.g. holidays).

### Headers

- `vnd.a1.tenant-id` (string, optional) — Tenant identifier for multi-tenant environments

## Response

### 200

Successful Response

- `holidayGroupUuid` (string, optional)
- `holidayGroupName` (string, optional)
- `enabled` (boolean, optional)
- `holidays` (list of HolidayGroupsUuidGetResponsesContentApplicationJsonSchemaHolidaysItems, optional)

## Errors

### 404 Not Found Error

Holiday group not found

- `any`

## Types

### HolidayGroupsUuidGetResponsesContentApplicationJsonSchemaHolidaysItems

- `holidayUuid` (string, optional)
- `holidayName` (string, optional)
- `holidayType` (string, optional)
- `isRecurring` (boolean, optional)
- `nextDate` (date, optional)
- `futureDate` (date, optional)
- `holidayDates` (list of HolidayGroupsUuidGetResponsesContentApplicationJsonSchemaHolidaysItemsHolidayDatesItems, optional)

### HolidayGroupsUuidGetResponsesContentApplicationJsonSchemaHolidaysItemsHolidayDatesItems

- `holidayDateUuid` (string, optional)
- `holidayDate` (date, optional)

## Examples

**Response**

```json
{
  "holidayGroupUuid": "0f98c866-a458-4db5-9950-0fb996042520",
  "holidayGroupName": "UK Public Holidays",
  "enabled": true,
  "holidays": [
    {
      "holidayUuid": "a3b3d8a6-49bc-4b68-9745-16818eaf20b5",
      "holidayName": "Christmas Day",
      "holidayType": "Public",
      "isRecurring": true,
      "nextDate": "2025-12-25",
      "futureDate": "2026-12-25",
      "holidayDates": [
        {
          "holidayDateUuid": "string",
          "holidayDate": "2024-12-25"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{{baseurl}}/holiday-groups/0f98c866-a458-4db5-9950-0fb996042520"

querystring = {"include":"holidays"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{{baseurl}}/holiday-groups/0f98c866-a458-4db5-9950-0fb996042520?include=holidays';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://{{baseurl}}/holiday-groups/0f98c866-a458-4db5-9950-0fb996042520?include=holidays"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{{baseurl}}/holiday-groups/0f98c866-a458-4db5-9950-0fb996042520?include=holidays")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://{{baseurl}}/holiday-groups/0f98c866-a458-4db5-9950-0fb996042520?include=holidays")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://{{baseurl}}/holiday-groups/0f98c866-a458-4db5-9950-0fb996042520?include=holidays', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{{baseurl}}/holiday-groups/0f98c866-a458-4db5-9950-0fb996042520?include=holidays");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://{{baseurl}}/holiday-groups/0f98c866-a458-4db5-9950-0fb996042520?include=holidays")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```